Subject: bug#22058: 25.1.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Dec 2015 20:45:40 +0200

> Date: Tue, 1 Dec 2015 08:56:42 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> One question is whether I need to use 7.10 for the backtraces
> that you are requesting or I can use the "outdated version
> 7.6.1" that dispenses with needing to install python (which I
> do not need).

I have no idea.  The binary I pointed to is guaranteed to work (I use
it all the time).

> In the latter case, perhaps the README should say where to get
> 7.6.1?  The text says only "The MinGW site offers it", with no
> info about where that is (AFAICT).

I have no control on what MinGW maintainers do, or where they put
their ports.  Google will surely find the MinGW site.  The ezwinports
is not supposed to be a guide to every port out there.

> Eventually, searching each of the directories at
> http://sourceforge.net/projects/mingw/files/MinGW/, I found gdb:
> http://sourceforge.net/projects/mingw/files/MinGW/Extension/gdb/.
> 
> Should I use that, or must I really install python, just
> to be able to give you an Emacs backtrace from gdb?

Once again, I can vouch for my build of GDB.  I don't know about the
one from MinGW, as I don't use it.  You can try if you want to.

> (This is already taking longer than I really want to devote
> to this, FWIW.)

Sorry about that.  But it certainly also takes _my_ time to look at
your backtraces each time, trying to figure out what can we learn from
them.  We are both volunteers, aren't we?

> > > (Why doesn't the gdb binary include everything it needs?)
> > 
> > Because I don't want to distribute Python, including its sources.
> 
> GDB 7.10 cannot be used without python?  Why is that?

Because some features don't work without Python, and I want the full
functionality at my fingertips.